# OL3-ext: Popup overlay

Display popup on the map.

- You can use classes to style the popup with a css (or choose an existing one).
- You can control the position of the popup top|center|bottom|auto - left|center|right|auto.
- The auto position lets the popup choose a good positioning according to the position on the map.
- The closeBox option adds a close button to hide the popup.
- The onclose option is a callback function when the close button is clicked.
- You can add a bounce animation effect when popup appear just by adding the popupoverlay.anim.css (see example)

ol.Overlay.Popup necessite jQuery.

## Options:

Positioning:
Form:
shadow
hasclosebox

Click on the points to show a popup !